| Face Engine SDK 5.31.2 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IRedEyeEstimator Struct Referenceabstract
Estimators

Red eye estimator interface. More...

`#include <IRedEyeEstimator.h>`

Inheritance diagram for fsdk::IRedEyeEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &warp, const Landmarks5 &landmarks5Transformed, RedEyeEstimation &estimation) const noexcept=0
| Estimates whether red eyes in a photo or not. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< const Landmarks5 > landmarks5Transformed, Span< RedEyeEstimation > estimations) const noexcept=0
| Estimates whether red eyes in photos or not in a single function call. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< const Landmarks5 > landmarks5Transformed, Span< Result< FSDKError >> errors) const noexcept=0
| Validates input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Red eye estimator interface.

Note
  This estimator is designed to evaluate whether red eyes in a photo or not.

See also
  RedEyeEstimation structure for details about how exactly the estimations are reported.

## Member Function Documentation

## ◆ estimate() [1/2]

virtual Result<FSDKError> fsdk::IRedEyeEstimator::estimate | ( | const Image & | warp,
|  | const Landmarks5 & | landmarks5Transformed,
|  | RedEyeEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Estimates whether red eyes in a photo or not.

Parameters

  [in] | warp | image with warped face.
  [in] | landmarks5Transformed | transformed landmarks.
  [out] | estimation | output estimation.

Returns
  Result with error code.

See also
  RedEyeEstimation, Landmarks, Image, Result and FSDKError for details.

Note
  warp format must be R8G8B8,

See also
  Format.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::IRedEyeEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< const Landmarks5 > | landmarks5Transformed,
|  | Span< RedEyeEstimation > | estimations
| ) |  | const
| pure virtual noexcept

Estimates whether red eyes in photos or not in a single function call.

Parameters

  [in] | warps | span of images with warped faces.
  [in] | landmarks5Transformed | span of transformed landmarks of size 5,

See also
  IWarper.

Parameters

  [out] | estimations | output span of red eye estimations.

Returns
  Result with error code.

See also
  Span, RedEyeEstimation, Landmarks, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::IRedEyeEstimator::validate | ( | Span< const Image > | warps,
|  | Span< const Landmarks5 > | landmarks5Transformed,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validates input of multiple frames in a single function call.

Parameters

  [in] | warps | span of images with warped faces.
  [in] | landmarks5Transformed | span of transformed landmarks, only for Validation.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Landmarks, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IRedEyeEstimator.h